function [obj, g] = GMMObjPara(beta, yq_cur, KL_cur, Phi_lag, KL_lag, omX, W, order)

%Back out omega + epsioln in time t and omega in time t-1:
    omep_cur = yq_cur - KL_cur*beta;
    om_lag = Phi_lag - KL_lag*beta;
    
    %Regress to find productivity process and innovation, allow the
    %coefficients of g to vary by type. If the omDisc is not given, 
    %Assume that all types are the same. 
    G = [omX genBasis(om_lag, order)]; 
    g = (G'*G)\(G'*omep_cur);
    xi = omep_cur - G*g;
 
       
    %Form the moments:
    %gm = [ones(1, size(xi)); KL_lag'; KL_cur']*xi;
    gm = [KL_cur']*xi;
    
    %Calculate the objective:
    obj = gm'*W*gm;

end